Bug 48488

Summary: Add support for debugging of NetBeans modules
Product: apisupport Reporter: Jaroslav Tulach <jtulach>
Component: ProjectAssignee: Jaroslav Tulach <jtulach>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: jjancura
Version: 4.x   
Target Milestone: 4.x   
Hardware: PC   
OS: Linux   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:
Bug Depends on:    
Bug Blocks: 42682    
Attachments: Changes in Actions, build.xml and projectized.xml
Simplified version
Simplified version that works (sorry)

Description Jaroslav Tulach 2004-09-05 11:41:17 UTC
I know that there is always a lot of people asking
how to debug NetBeans. We have the ant tryme
-Ddebug.port=x but many people are not able to
find it. For them I decided to enhance the
NbProject support and all these projects to be
debugged. 

When invoked, new NetBeans are started and a
debuger is connected to the VM. Please review and
either apply or let me know whether it is good
enough to be applied and when (beta2?) and assign
to me.
Comment 1 Jaroslav Tulach 2004-09-05 11:43:23 UTC
Created attachment 17373 [details]
Changes in Actions, build.xml and projectized.xml
Comment 2 Jaroslav Tulach 2004-09-07 07:31:58 UTC
Created attachment 17415 [details]
Simplified version
Comment 3 Jaroslav Tulach 2004-09-07 13:44:39 UTC
Created attachment 17426 [details]
Simplified version that works (sorry)
Comment 4 Jesse Glick 2004-09-07 18:34:41 UTC
Looks OK to me.

BTW the <classpath> in <nbjpdastart> is supposed to be optional -
source stepping should work without it, try it.
Comment 5 Jaroslav Tulach 2004-09-08 11:45:58 UTC
Re: classpath does not look optional. Without it I get NPEs.

cvs ci -m "Adding debugging support to netbeans project types"
apisupport/project/src/org/netbeans/modules/apisupport/project/Actions.java
nbbuild/templates/projectized.xml
Checking in
apisupport/project/src/org/netbeans/modules/apisupport/project/Actions.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/Actions.java,v
 <--  Actions.java
new revision: 1.22; previous revision: 1.21
done
Processing log script arguments...
More commits to come...
Checking in nbbuild/templates/projectized.xml;
/cvs/nbbuild/templates/projectized.xml,v  <--  projectized.xml
new revision: 1.25; previous revision: 1.24
Comment 6 Jesse Glick 2004-09-08 15:18:15 UTC
Well could you please file those NPEs then? So they can get fixed?
Because it is supposed to be optional.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo